Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.util
Class XmlCasSerializer

    java.lang.Object
      org.apache.uima.util.XmlCasSerializer

    public abstract class XmlCasSerializer

extends Object

Serializes a CAS to inline XML format. The output format conforms to the XML Metadata Interchange (XMI) format, an OMG standard.

For more options, see `XmiCasSerializer`.

Constructor Summary
`XmlCasSerializer()`

Method Summary
`static void` | `serialize(CAS aCAS, OutputStream aStream)` Serializes a CAS to XMI format and writes it to an output stream.
`static void` | `serialize(CAS aCAS, TypeSystem aTargetTypeSystem, OutputStream aStream)` Serializes a CAS to XMI format and writes it to an output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlCasSerializer

    public XmlCasSerializer()

Method Detail

### serialize

    public static void serialize(CAS aCAS,
                                 OutputStream aStream)
                          throws SAXException,
                                 IOException

  Serializes a CAS to XMI format and writes it to an output stream.

  Parameters:
    `aCAS` - CAS to serialize.
    `aStream` - output stream to which to write the XMI document
  Throws:
    `SAXException` - if a problem occurs during XMI serialization
    `IOException` - if an I/O failure occurs

### serialize

    public static void serialize(CAS aCAS,
                                 TypeSystem aTargetTypeSystem,
                                 OutputStream aStream)
                          throws SAXException,
                                 IOException

  Serializes a CAS to XMI format and writes it to an output stream. Allows a TypeSystem to be specified, to which the produced XMI will conform. Any types or features not in the target type system will not be serialized.

  Parameters:
    `aCAS` - CAS to serialize.
    `aTargetTypeSystem` - type system to which the produced XMI will conform. Any types or features not in the target type system will not be serialized.
    `aCAS` - CAS to serialize.
    `aStream` - output stream to which to write the XMI document
  Throws:
    `SAXException` - if a problem occurs during XMI serialization
    `IOException` - if an I/O failure occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.